/* 
    Table of content
    1. OFFER
    2. BRANDS
    3. TEAM
    4. NEWS
*/

/* 1. OFFER */
.grid-offer .content-wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 30rem;
}

.grid-offer .content-wrapper > div:first-child {
    position: relative;
}

.grid-offer .content-wrapper .label {
    position: absolute;
    top: -2.25rem;
}

.grid-offer h1,
.grid-offer h2,
.grid-offer h3 {
    margin-bottom: 0;
}

.grid-offer .content-wrapper > div:last-child {
    justify-self: flex-end;
}

.grid-offer .content-wrapper .btn {
    margin: 0;
}

.grid-offer .feed-wrapper {
    margin-top: 4rem;
}

.grid-offer .btn-wrapper {
    margin-top: 3rem;
    text-align: center;
}

.grid-offer .btn-wrapper .btn {
    margin: 0;
}

/* 2. BRANDS */
.grid-brands .grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 3rem;
}

.grid-brands .item {
    padding: 3rem;
    border: .1rem solid var(--color-blue);
    border-radius: 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .3s;
}

.grid-brands .item[href]:hover {
    transform: scale(1.05);
}

.grid-brands img {
    width: 17rem;
    height: 8.5rem;
}

.grid-brands .cta-item {
    padding: 2.5rem;
    border-radius: 1rem;
}

.grid-brands .cta-item h3,
.grid-brands .cta-item .faux-h3 {
    margin-bottom: 0;
}

/* 3. TEAM */
.grid-team > .row-lg > .container > .content-wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    grid-gap: 30rem;
}

.grid-team > .row-lg > .container > .content-wrapper > div:first-child {
    position: relative;
}

.grid-team > .row-lg > .container > .content-wrapper .label {
    position: absolute;
    top: -2.25rem;
}

.grid-team > .row-lg > .container > .content-wrapper > div > h1,
.grid-team > .row-lg > .container > .content-wrapper > div > h2,
.grid-team > .row-lg > .container > .content-wrapper > div > h3 {
    margin-bottom: 0;
}

.grid-team > .row-lg > .container > .content-wrapper > div:last-child {
    justify-self: flex-end;
}

.grid-team > .row-lg > .container > .content-wrapper .btn {
    margin: 0;
}

.grid-team .grid {
    margin-top: 4rem;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 3rem;
}

.grid-team .btn-wrapper {
    margin-top: 3rem;
    text-align: center;
}

.grid-team .btn-wrapper .btn {
    margin: 0;
}

/* 4. NEWS */
.grid-news .container > .content-wrapper {
    max-width: var(--grid-size-lg);
    margin: 0 auto;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 30rem;
}

.grid-news .container > .content-wrapper > div:first-child {
    position: relative;
}

.grid-news .container > .content-wrapper .label {
    position: absolute;
    top: -2.25rem;
}

.grid-news .container > .content-wrapper h1,
.grid-news .container > .content-wrapper h2,
.grid-news .container > .content-wrapper h3 {
    margin-bottom: 0;
}

.grid-news .subtitle {
    margin-top: .5rem;
    font-size: 1.4rem;
}

.grid-news .container > .content-wrapper > div:last-child {
    justify-self: flex-end;
}

.grid-news .content-wrapper .btn {
    margin: 0;
}

.grid-news .news-wrapper {
    margin-top: 4rem;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 3rem;
}

.grid-news .pagination {
    margin-top: 4rem;
    display: flex;
    justify-content: center;
}

.grid-news .pagination > * {
    width: 2rem;
    text-align: center;
}

/* RESIZE */
@media (max-width: 1280px) {
    /* 1. OFFER */
    .grid-offer .content-wrapper {
        grid-gap: 10rem;
    }

    /* 3. TEAM */
    .grid-team > .row-lg > .container > .content-wrapper {
        grid-gap: 10rem;
    }

    /* 4. NEWS */
    .grid-news .container > .content-wrapper {
        grid-gap: 10rem;
    }
}

@media (max-width: 1100px) {
    /* 1. OFFER */
    .grid-offer .feed-wrapper {
        margin-top: 3rem;
    }

    /* 2. BRANDS */
    .grid-brands .grid {
        grid-gap: 2rem;
    }

    /* 3. TEAM */
    .grid-team .grid {
        margin-top: 3rem;
        grid-gap: 2rem;
    }

    /* 4. NEWS */
    .grid-news .news-wrapper {
        margin-top: 3rem;
    }

    .grid-news .news-wrapper {
        margin-top: 3rem;
        gap: 2rem;
    }

    .grid-news .pagination {
        margin-top: 3rem;
    }
}

@media (max-width: 1024px) {
    /* 1. OFFER */
    .grid-offer .content-wrapper {
        grid-gap: 8rem;
    }

    /* 3. TEAM */
    .grid-team > .row-lg > .container > .content-wrapper {
        grid-gap: 8rem;
    }

    /* 4. NEWS */
    .grid-news .container > .content-wrapper {
        grid-gap: 8rem;
    }
}

@media (max-width: 899px) {
    /* 1. OFFER */
    .grid-offer .content-wrapper {
        grid-gap: 6rem;
    }

    /* 2. BRANDS */
    .grid-brands .grid {
        grid-template-columns: 1fr 1fr;
    }

    /* 3. TEAM */
    .grid-team > .row-lg > .container > .content-wrapper {
        grid-gap: 6rem;
    }

    /* 4. NEWS */
    .grid-news .container > .content-wrapper {
        grid-gap: 6rem;
    }

    .grid-news .news-wrapper {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 767px) {
    /* 1. OFFER */
    .grid-offer .content-wrapper {
        grid-template-columns: 1fr;
        grid-gap: inherit;
        text-align: center;
    }

    .grid-offer .content-wrapper .label {
        position: relative;
        top: inherit;
    }

    .grid-offer .content-wrapper > div:last-child {
        justify-self: center;
    }

    /* 3. TEAM */
    .grid-team > .row-lg > .container > .content-wrapper {
        grid-template-columns: 1fr;
        grid-gap: inherit;
        text-align: center;
    }

    .grid-team > .row-lg > .container > .content-wrapper .label {
        position: relative;
        top: inherit;
    }

    .grid-team > .row-lg > .container > .content-wrapper > div:last-child {
        display: none;
    }

    .grid-team .grid {
        grid-template-columns: 1fr;
    }

    /* 4. NEWS */
    .grid-news .container > .content-wrapper {
        grid-template-columns: 1fr;
        grid-gap: inherit;
    }

    .grid-news .container > .content-wrapper .label {
        position: relative;
        top: inherit;
    }

    .grid-news .container > .content-wrapper > div:last-child {
        display: none;
    }
}

@media (max-width: 599px) {
    /* 2. BRANDS */
    .grid-brands .grid {
        grid-template-columns: 1fr;
        grid-gap: 1rem;
    }

    /* 4. NEWS */
    .grid-news .news-wrapper {
        grid-template-columns: 1fr;
    }
}